/*
Gamebots Pogamut derivation Copyright (c) 2010-2011, Michal Bida, Radek Pibil

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

   * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This software must also be in compliance with the Epic Games Inc. license for mods which states the following: "Your mods must be distributed solely for free, period. Neither you, nor any other person or party, may sell them to anyone, commercially exploit them in any way, or charge anyone for receiving or using them without prior written consent of Epic Games Inc. You may exchange them at no charge among other end-users and distribute them to others over the Internet, on magazine cover disks, or otherwise for free." Please see http://www.epicgames.com/ut2k4_eula.html for more information.

*/
class PawnRBCasual04m extends GBScenarioPawn
   placeable;
   
var(NPC) SkeletalMeshComponent NPCMesh;

simulated event PostBeginPlay()
{  
	Super.PostBeginPlay();

	myFullBodySlot = AnimNodeSlot( NPCMesh.FindAnimNode('FullBodySlot'));
	myTopHalfSlot = AnimNodeSlot( NPCMesh.FindAnimNode('TopHalfSlot'));
	myFullBodySlotSequence = AnimNodeSequence(NPCMesh.FindAnimNode('FullBodySlotSequence'));
	//playing default animation:
	myFullBodySlot.PlayCustomAnim(DefaultIdleAnimation,1,0.5,0.2,true,true);
	LastPlayAnimName = DefaultIdleAnimation;
	LastPlayAnimLooping = true;		 
}

function Timer() {
   //myFullBodySlotSequence.SetAnim('walk_slow_01');
   //myFullBodySlotSequence.PlayAnim(false,1,);
}

//override to do nothing
simulated function SetCharacterClassFromInfo(class<UTFamilyInfo> Info)
{
}

defaultproperties 
{
   //Setup default NPC mesh
   Begin Object Class=SkeletalMeshComponent Name=NPCMesh0
	  SkeletalMesh=SkeletalMesh'RocketBoxMalesExtended.SkelMesh.casual04_m_highpoly'
	  AnimSets(0)=AnimSet'RocketBoxMaleAnims.RocketBoxMaleAnims'
	  AnimSets(1)=AnimSet'PogamutCharactesAnims.PogamutMaleForRocketBox'
	  LightEnvironment=MyLightEnvironment 
      AnimtreeTemplate=AnimTree'RocketBoxMalesExtended.AT_RocketBox_Scripted'
   End Object
   NPCMesh=NPCMesh0
   Mesh=NPCMesh0
   Components.Add(NPCMesh0)

	DefaultIdleAnimation="standing_idle_breathe_02"
   //Points to your custom AIController class - as the default value
   //NPCController=class'Engine.AIController'
}